=== debian/control ===
Source: ros-foxy-nonpersistent-voxel-layer
Section: misc
Priority: optional
Maintainer: Steven Macenski <stevenmacenski@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libpcl-apps1.10, libpcl-common1.10, libpcl-features1.10, libpcl-filters1.10, libpcl-io1.10, libpcl-kdtree1.10, libpcl-keypoints1.10, libpcl-ml1.10, libpcl-octree1.10, libpcl-outofcore1.10, libpcl-people1.10, libpcl-recognition1.10, libpcl-registration1.10, libpcl-sample-consensus1.10, libpcl-search1.10, libpcl-segmentation1.10, libpcl-stereo1.10, libpcl-surface1.10, libpcl-tracking1.10, libpcl-visualization1.10, ros-foxy-ament-cmake, ros-foxy-ament-lint-auto, ros-foxy-geometry-msgs, ros-foxy-laser-geometry, ros-foxy-map-msgs, ros-foxy-nav-msgs, ros-foxy-nav2-costmap-2d, ros-foxy-nav2-msgs, ros-foxy-nav2-voxel-grid, ros-foxy-pcl-conversions, ros-foxy-pluginlib, ros-foxy-rclcpp, ros-foxy-sensor-msgs, ros-foxy-std-msgs, ros-foxy-tf2, ros-foxy-tf2-ros, ros-foxy-visualization-msgs, ros-foxy-ros-workspace
Homepage: http://wiki.ros.org/non-persisent-voxel-layer
Standards-Version: 3.9.2

Package: ros-foxy-nonpersistent-voxel-layer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpcl-apps1.10, libpcl-common1.10, libpcl-features1.10, libpcl-filters1.10, libpcl-io1.10, libpcl-kdtree1.10, libpcl-keypoints1.10, libpcl-ml1.10, libpcl-octree1.10, libpcl-outofcore1.10, libpcl-people1.10, libpcl-recognition1.10, libpcl-registration1.10, libpcl-sample-consensus1.10, libpcl-search1.10, libpcl-segmentation1.10, libpcl-stereo1.10, libpcl-surface1.10, libpcl-tracking1.10, libpcl-visualization1.10, ros-foxy-geometry-msgs, ros-foxy-laser-geometry, ros-foxy-map-msgs, ros-foxy-nav-msgs, ros-foxy-nav2-costmap-2d, ros-foxy-nav2-msgs, ros-foxy-nav2-voxel-grid, ros-foxy-pcl-conversions, ros-foxy-pluginlib, ros-foxy-rclcpp, ros-foxy-sensor-msgs, ros-foxy-std-msgs, ros-foxy-tf2, ros-foxy-tf2-ros, ros-foxy-visualization-msgs, ros-foxy-ros-workspace
Description: include This package provides an implementation of a 3D costmap that takes in sensor data from the world, builds a 3D occupancy grid of the data for only one iteration.
